> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update record

> Update a record in a data source (formerly known as "inference pipeline").



## OpenAPI

````yaml put /inference-pipelines/{inferencePipelineId}/rows
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /inference-pipelines/{inferencePipelineId}/rows:
    put:
      tags:
        - Monitoring
      description: Update an inference data point in an inference pipeline.
      parameters:
        - $ref: '#/components/parameters/inferencePipelineId'
        - name: inferenceId
          in: query
          description: Specify the inference id as a query param.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                row:
                  type: object
                  minProperties: 1
                  maxProperties: 100
                config:
                  $ref: '#/components/schemas/DatastreamConfigUpdate'
                  nullable: true
              required:
                - row
      responses:
        '200':
          description: Status OK.
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
        default:
          $ref: '#/components/responses/UnexpectedError'
      x-codeSamples:
        - lang: python
          source: |
            from openlayer import Openlayer
            from openlayer.types.inference_pipelines import row_update_params

            row_updates = {
              "ground_truth": "The sun is 94.471 million miles from the earth."
            }
            config = row_update_params.Config(
              ground_truth_column_name="ground_truth"
            )

            client = Openlayer()
            client.inference_pipelines.rows.update(
                inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                inference_id="832y98d3",
                row=row_updates,
                config=config,
            )
        - lang: typescript
          source: |
            import Openlayer from 'openlayer';

            const openlayer = new Openlayer();

            await openlayer.inferencePipelines.rows.update(
              {
                inferencePipelineId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                inferenceId='832y98d3',
                config: {
                  groundTruthColumnName: 'ground_truth',
                },
                row: {
                    ground_truth: "The sun is 94.471 million miles from the earth.",
                },
              },
            );
        - lang: curl
          source: >
            curl --request PUT \

            --url
            https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows?inferenceId=832y98d3
            \

            --header 'Authorization: Bearer <token>' \

            --header 'Content-Type: application/json' \

            --data '{
              "row": {
                "ground_truth": "The sun is 94.471 million miles from the earth."
              },
              "config": {
                "groundTruthColumnName": "ground_truth",
              }
            }'
components:
  parameters:
    inferencePipelineId:
      name: inferencePipelineId
      in: path
      description: The inference pipeline id (a UUID).
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DatastreamConfigUpdate:
      type: object
      properties:
        inferenceIdColumnName:
          type: string
          description: >-
            Name of the column with the inference ids. This is useful if you
            want to update rows at a later point in time. If not provided, a
            unique id is generated by Openlayer.
          example: id
          writeOnly: true
          nullable: true
        latencyColumnName:
          type: string
          description: Name of the column with the latencies.
          example: latency
          nullable: true
        timestampColumnName:
          type: string
          nullable: true
          description: >-
            Name of the column with the timestamps. Timestamps must be in UNIX
            sec format. If not provided, the upload timestamp is used.
          example: timestamp
        groundTruthColumnName:
          type: string
          description: Name of the column with the ground truths.
          example: ground_truth
          nullable: true
        humanFeedbackColumnName:
          type: string
          description: Name of the column with human feedback.
          example: human_feedback
          nullable: true
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````